org.jbpm.workflow.instance.node

## Class CompositeNodeInstance.CompositeNodeEndInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.node.CompositeNodeInstance.CompositeNodeEndInstance

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance
  Enclosing class:
    CompositeNodeInstance

      public class CompositeNodeInstance.CompositeNodeEndInstance
      extends NodeInstanceImpl

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeNodeEndInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeNode.CompositeNodeEnd` | `getCompositeNodeEnd()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `triggerCompleted()`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeNodeEndInstance

          public CompositeNodeEndInstance()

  - ### Method Detail

    - #### getCompositeNodeEnd

          public CompositeNode.CompositeNodeEnd getCompositeNodeEnd()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

    - #### triggerCompleted

          public void triggerCompleted()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.